var campaign = {
    id:             "easy",
    title:          "A Miner Conflict",
    desc:           [
                        "It's time to see what you're made of! Some rival teams just showed up and are vying to be top dog... figuratively speaking. We want you to show 'em up.",
                        "",
                        "These set of challenges are guaranteed to break you in... or break you. Now, wipe away those tears and get cracking!"
                    ],
    winMsg:         "The sweet smell of victory! You've made short work of the conflict. Well done. ",
    difficulty:     1,
    missionsMin:    17,

    reqUnlocks: null,
    lockDesc:   "",

    rewards: function( completeCount ) {
        if( completeCount > 0 )
            return null;

        return {
            "tokens": 3000,
            "unlocks": "camp_easy"
        }
    },

    challenges: [
        {
            "id":           "squared1",
            "title":        "Square Dancing",
            "desc":         "Buzz's gunning for top dog and demonstrating his prowess on this simple map. It's up to you to tarnish his reputation",
            "difficulty":   1,
            "playCost":     200,
            "dropCost":     50,

            "map":          "squared",
            "ai":           "__ai_buzz",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "squared", "easy" ] },

            "reqRankMin":   0,
            "reqRankMax":   6
        },
        {
            "id":           "simple1",
            "title":        "Keeping It Simple",
            "desc":         "It's simple. Beat Buzz at his own game.",
            "difficulty":   1,
            "playCost":     200,
            "dropCost":     50,

            "map":          "simple",
            "ai":           "__ai_buzz",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "simple", "easy" ] },

            "reqRankMin":   0,
            "reqRankMax":   7
        },
        {
            "id":           "pyramid1",
            "title":        "Reaching For The Top",
            "desc":         "Do you have what it takes to climb to the top? Buzz doesn't think so...",
            "difficulty":   1,
            "playCost":     200,
            "dropCost":     50,

            "map":          "pyramid",
            "ai":           "__ai_buzz",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "pyramid", "easy" ] },

            "reqRankMin":   0,
            "reqRankMax":   9
        },
        {
            "id":           "bridge1",
            "title":        "An Abridged Battle",
            "desc":         [
                "Beat back Buzz.",
                "",
                "What? Not all challenges need a long and snappy description!"
            ],
            "difficulty":   1,
            "playCost":     200,
            "dropCost":     50,

            "map":          "bridge",
            "ai":           "__ai_buzz",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "bridge", "easy" ] },

            "reqRankMin":   0,
            "reqRankMax":   10
        },
        {
            "id":           "kinghill1",
            "title":        "King Konk",
            "desc":         "Time to show Buzz who's 'King of The Hill'.",
            "difficulty":   1,
            "playCost":     200,
            "dropCost":     50,

            "map":          "kinghill",
            "ai":           "__ai_buzz",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "kinghill", "easy" ] },

            "reqRankMin":   2,
            "reqRankMax":   12
        },
        {
            "id":           "oneisland1",
            "title":        "A Turf Divided",
            "desc":         "Buzz wants to play. On an island. Against you.",
            "difficulty":   1.5,
            "playCost":     200,
            "dropCost":     50,

            "map":          "oneisland",
            "ai":           "__ai_buzz",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "oneisland", "easy" ] },

            "reqRankMin":   3,
            "reqRankMax":   13
        },
        {
            "id":           "lake1",
            "title":        "Some Lake It's Not",
            "desc":         "Buzz's found a new region! Show him why his ambitions are sunk.",
            "difficulty":   1.5,
            "playCost":     200,
            "dropCost":     50,

            "map":          "lake",
            "ai":           "__ai_buzz",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "lake", "easy" ] },

            "reqRankMin":   4,
            "reqRankMax":   15
        },
        {
            "id":           "dense1",
            "title":        "Dense with Buzz",
            "desc":         "Buzz isn't the brightest candle. Show him just how dense he really is.",
            "difficulty":   1.5,
            "playCost":     200,
            "dropCost":     50,

            "map":          "dense",
            "ai":           "__ai_buzz",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "dense", "easy" ] },

            "reqRankMin":   4,
            "reqRankMax":   16
        },
        {
            "id":           "squared2",
            "title":        "Squared Away",
            "desc":         "Sparkx's squaring to put himself on the map. Put him away instead.",
            "difficulty":   1.5,
            "playCost":     200,
            "dropCost":     50,

            "map":          "squared",
            "ai":           "__ai_sparkx",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "squared", "medium" ] },

            "reqRankMin":   6,
            "reqRankMax":   18
        },
        {
            "id":           "simple2",
            "title":        "Simply For Naught",
            "desc":         "Yes, it's a simple map. No, Sparkx is anything but simple.",
            "difficulty":   1.5,
            "playCost":     200,
            "dropCost":     50,

            "map":          "simple",
            "ai":           "__ai_sparkx",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "simple", "medium" ] },

            "reqRankMin":   6,
            "reqRankMax":   20
        },
        {
            "id":           "pyramid2",
            "title":        "Rising Aspirations",
            "desc":         "It's a pyramid (no, it's not). It's Sparkx (yes, it is). Time to knock him down...",
            "difficulty":   2,
            "playCost":     200,
            "dropCost":     50,

            "map":          "pyramid",
            "ai":           "__ai_sparkx",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "pyramid", "medium" ] },

            "reqRankMin":   9,
            "reqRankMax":   Number.POSITIVE_INFINITY
        },
        {
            "id":           "bridge2",
            "title":        "Burning Bridges",
            "desc":         "Sparkx's at it again. Bring him down.",
            "difficulty":   2,
            "playCost":     200,
            "dropCost":     50,

            "map":          "bridge",
            "ai":           "__ai_sparkx",
            "allowFavors":  true,
            "winReward":    { "tokens": 600, "unlocks": [ "bridge", "medium" ] },

            "reqRankMin":   9,
            "reqRankMax":   Number.POSITIVE_INFINITY
        },
        {
            "id":           "kinghill2",
            "title":        "King Maker",
            "desc":         "Give Sparkx a sound beating on King of the Hill",
            "difficulty":   2,
            "playCost":     300,
            "dropCost":     100,

            "map":          "kinghill",
            "ai":           "__ai_sparkx",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "kinghill", "medium" ] },

            "reqRankMin":   11,
            "reqRankMax":   Number.POSITIVE_INFINITY
        },
        {
            "id":           "oneisland2",
            "title":        "Island Woes",
            "desc":         "Sparkx is preparing to take on the island. That's your invitation to wash out his career.",
            "difficulty":   2.5,
            "playCost":     300,
            "dropCost":     100,

            "map":          "oneisland",
            "ai":           "__ai_sparkx",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "oneisland", "medium" ] },

            "reqRankMin":   13,
            "reqRankMax":   Number.POSITIVE_INFINITY
        },
        {
            "id":           "lake2",
            "title":        "Treading Water",
            "desc":         "Sparkx likes the lake. Sink his aspirations",
            "difficulty":   2.5,
            "playCost":     300,
            "dropCost":     100,

            "map":          "lake",
            "ai":           "__ai_sparkx",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "lake", "medium" ] },

            "reqRankMin":   15,
            "reqRankMax":   Number.POSITIVE_INFINITY
        },
        {
            "id":           "dense2",
            "title":        "Sparkx Can Dense",
            "desc":         "Same old Sparkx. Brand new map. Time for a 'dense-off'.",
            "difficulty":   2.5,
            "playCost":     300,
            "dropCost":     100,

            "map":          "dense",
            "ai":           "__ai_sparkx",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "dense", "medium" ] },

            "reqRankMin":   17,
            "reqRankMax":   Number.POSITIVE_INFINITY
        }
    ]
};

campaign;