var campaign = {
    id:             "medium",
    title:          "The Om Chronicles",
    desc:           [
                        "It's time for some real competition. Meet Om - he's efficient, reliable, and cunning. In short, he's your WORST NIGHTMARE!",
                        "A word of advice: 'When the going gets tough, wimp out and use perks.'"
                    ],
    winMsg:         "It's just your run-of-the-mill victory... NOT! Congratulations on your superior tactical skills.",
    difficulty:     2.5,
    missionsMin:    20,

    reqUnlocks: "camp_easy",
    lockDesc:   "This campaign is locked. Come back after you've proven your mettle on 'Making Friends'.",

    rewards: function( completeCount ) {
        if( completeCount > 1 )
            return null;

        return {
            "tokens": 5000,
            "unlocks": "camp_medium"
        }
    },

    challenges: [
        {
            "id":           "squared3",
            "title":        "Fourever Yours",
            "desc":         "The real 'brains' is stepping in. Can you step up your game?.",
            "difficulty":   2.5,
            "playCost":     300,
            "dropCost":     100,

            "map":          "squared",
            "ai":           "__ai_om",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "squared", "hard" ] },

            "reqRankMin":   0,
            "reqRankMax":   8
        },
        {
            "id":           "simple3",
            "title":        "Simple It Is Not",
            "desc":         "Watch out. Om is anything but simple to beat",
            "difficulty":   2.5,
            "playCost":     300,
            "dropCost":     100,

            "map":          "simple",
            "ai":           "__ai_om",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "simple", "hard" ] },

            "reqRankMin":   0,
            "reqRankMax":   10
        },
        {
            "id":           "pyramid3",
            "title":        "A Difficult Climb",
            "desc":         "Om and the pyramid region makes for a bad combination. You have your work cut out...",
            "difficulty":   3,
            "playCost":     300,
            "dropCost":     100,

            "map":          "pyramid",
            "ai":           "__ai_om",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "pyramid", "hard" ] },

            "reqRankMin":   0,
            "reqRankMax":   12
        },
        {
            "id":           "bridge3",
            "title":        "A Bridge Too Far",
            "desc":         "Do what you have to to bring Om tumbling down.",
            "difficulty":   3,
            "playCost":     300,
            "dropCost":     100,

            "map":          "bridge",
            "ai":           "__ai_om",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "bridge", "hard" ] },

            "reqRankMin":   1,
            "reqRankMax":   14
        },
        {
            "id":           "kinghill3",
            "title":        "An Uphill Battle",
            "desc":         "There's nothing zen about taking on Om on this turf.",
            "difficulty":   3,
            "playCost":     300,
            "dropCost":     100,

            "map":          "kinghill",
            "ai":           "__ai_om",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "kinghill", "hard" ] },

            "reqRankMin":   2,
            "reqRankMax":   16
        },
        {
            "id":           "oneisland3",
            "title":        "No One's An Island",
            "desc":         "Om's been practicing his people skills. Let's just say that he excels at making enemies.",
            "difficulty":   3.5,
            "playCost":     300,
            "dropCost":     100,

            "map":          "oneisland",
            "ai":           "__ai_om",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "oneisland", "hard" ] },

            "reqRankMin":   4,
            "reqRankMax":   Number.POSITIVE_INFINITY
        },
        {
            "id":           "lake3",
            "title":        "Sink Or Swim",
            "desc":         "Getting the sinking feeling? Time to rise to Om's challenge",
            "difficulty":   3.5,
            "playCost":     300,
            "dropCost":     100,

            "map":          "lake",
            "ai":           "__ai_om",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "lake", "hard" ] },

            "reqRankMin":   6,
            "reqRankMax":   Number.POSITIVE_INFINITY
        },
        {
            "id":           "dense3",
            "title":        "Mind Over Matter",
            "desc":         "Om's giving it his all. Time to lay down a beating.",
            "difficulty":   3.5,
            "playCost":     300,
            "dropCost":     100,

            "map":          "dense",
            "ai":           "__ai_om",
            "allowFavors":  true,
            "winReward":    { "tokens": 800, "unlocks": [ "dense", "hard" ] },

            "reqRankMin":   9,
            "reqRankMax":   Number.POSITIVE_INFINITY
        },
        {
            "id":           "simple4",
            "title":        "A Simple Handicap",
            "desc":         "Om's deploying an advanced team ahead of the actual battle. Looks like things just got more complicated.",
            "difficulty":   3.5,
            "playCost":     400,
            "dropCost":     100,

            "map":          "simple",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "simple", "hard" ] },

            "reqRankMin":   12,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "pyramid4",
            "title":        "One Step Ahead",
            "desc":         "If at first you don't succeed, cheat and cheat again.",
            "difficulty":   3.5,
            "playCost":     400,
            "dropCost":     100,

            "map":          "pyramid",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "pyramid", "hard" ] },

            "reqRankMin":   16,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "bridge4",
            "title":        "Only One Way",
            "desc":         "Om's up to new tricks to gain an upper hand",
            "difficulty":   3.5,
            "playCost":     400,
            "dropCost":     100,

            "map":          "bridge",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "bridge", "hard" ] },

            "reqRankMin":   20,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        }
    ]
};

campaign;