var campaign = {
    id:             "hard",
    title:          "Do Cheaters Prosper?",
    desc:           "Do your opponents run away screaming when they see you? Is your name synonymous with 'victory'? If so, this is the campaign for you. Only this time, the competition isn't playing fair...",
    winMsg:         "You did it! The stars will sing of your exploits for generations to come. Give yourself a huge pat on the back...",
    difficulty:     4,
    missionsMin:    25,

    reqUnlocks: "camp_medium",
    lockDesc:   "This campaign is locked. For a reason. Beat 'The Om Chronicles' first.",

    rewards: function( completeCount ) {
        if( completeCount > 0 )
            return null;

        return {
            "tokens": 8000,
            "unlocks": "camp_hard"
        }
    },

    challenges: [
        {
            "id":           "pyramid4",
            "title":        "Deja Vu",
            "desc":         "Is it just me or does this challenge seems strangely familiar?",
            "difficulty":   3.5,
            "playCost":     400,
            "dropCost":     100,

            "map":          "pyramid",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1", "deployown1", "gem1" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "pyramid", "hard" ] },

            "reqRankMin":   0,
            "reqRankMax":   5,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "bridge4",
            "title":        "Deja Deja Vu",
            "desc":         "How do we make a repeat challenge fresh again? By giving it a new description, of course.",
            "difficulty":   3.5,
            "playCost":     400,
            "dropCost":     100,

            "map":          "bridge",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1", "deployown1", "gem1" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "bridge", "hard" ] },

            "reqRankMin":   0,
            "reqRankMax":   9,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "kinghill4",
            "title":        "Hamburger Hill",
            "desc":         "Om has the high ground. Take it from him.",
            "difficulty":   3.5,
            "playCost":     400,
            "dropCost":     100,

            "map":          "kinghill",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1", "deployown1", "gem1" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "kinghill", "hard" ] },

            "reqRankMin":   0,
            "reqRankMax":   12,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "oneisland4",
            "title":        "A Whole Island Of Trouble",
            "desc":         "Om's bringing new pain to the island. Deal with it.",
            "difficulty":   4,
            "playCost":     400,
            "dropCost":     100,

            "map":          "oneisland",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1", "deployown2" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "oneisland", "hard" ] },

            "reqRankMin":   0,
            "reqRankMax":   15,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "lake4",
            "title":        "Watering Down The Opposition",
            "desc":         "Om's not giving up on his new strategy. He's hoping things will turn around by the lake.",
            "difficulty":   4,
            "playCost":     400,
            "dropCost":     100,

            "map":          "lake",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1", "deployown2" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "lake", "hard" ] },

            "reqRankMin":   0,
            "reqRankMax":   17,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "dense4",
            "title":        "Mind Your Approach",
            "desc":         "Om's applying his strategy to the most challenging map of all. Do you have what it takes to win this time?",
            "difficulty":   4,
            "playCost":     400,
            "dropCost":     100,

            "map":          "dense",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1", "deployown2" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1000, "unlocks": [ "dense", "hard" ] },

            "reqRankMin":   2,
            "reqRankMax":   17,

            "configCustom": function( gameLogic ) {
                gameLogic.configureAddDeploys( null, 1, 2 );
                gameLogic.configureAddDeploys( null, 1, 1 );
                gameLogic.configureAddDeploys( null, 1, 1 );
            }
        },
        {
            "id":           "simple5",
            "title":        "Not So Easy Street",
            "desc":         "The map may be simple, but this confrontation is anything but. Om's resorted to some creative cheating to get a leg up.",
            "difficulty":   4,
            "playCost":     500,
            "dropCost":     200,

            "map":          "simple",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1", "undeployopp1", "gem1" ],
            "handicap":     -1,
            "allowFavors":  true,
            "winReward":    { "tokens": 1200, "unlocks": [ "simple", "hard" ] },

            "reqRankMin":   4,
            "reqRankMax":   19,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "pyramid5",
            "title":        "Stairway to Pain",
            "desc":         "Om's chomping at the bit to prove he's the best of the best and he's not above cheating...",
            "difficulty":   4.5,
            "playCost":     500,
            "dropCost":     200,

            "map":          "pyramid",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown1", "deployown2" ],
            "allowFavors":  true,
            "winReward":    { "tokens": 1200, "unlocks": [ "pyramid", "hard" ] },

            "reqRankMin":   6,
            "reqRankMax":   21,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "bridge5",
            "title":        "When Good Bridges Go Bad",
            "desc":         "Advance deployments. Questionable fairness. This is definitely NOT your typical challenge.",
            "difficulty":   4.5,
            "playCost":     500,
            "dropCost":     200,

            "map":          "bridge",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown1", "undeployopp1" ],
            "aiFavorSlots": 8,
            "allowFavors":  true,
            "winReward":    { "tokens": 1200, "unlocks": [ "bridge", "hard" ] },

            "reqRankMin":   8,
            "reqRankMax":   23,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "kinghill5",
            "title":        "Mountain Out Of A Molehill",
            "desc":         "Om's out to get you. Climb your way to success.",
            "difficulty":   4.5,
            "playCost":     500,
            "dropCost":     200,

            "map":          "kinghill",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown1", "gem3" ],
            "aiFavorSlots": 8,
            "allowFavors":  true,
            "winReward":    { "tokens": 1200, "unlocks": [ "kinghill", "hard" ] },

            "reqRankMin":   10,
            "reqRankMax":   25,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "oneisland5",
            "title":        "One Island, One King",
            "desc":         "Om's creative 'strategy' gives him a decisive edge on this map. Put him in his place.",
            "difficulty":   4.5,
            "playCost":     500,
            "dropCost":     200,

            "map":          "oneisland",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown1", "gem3" ],
            "aiFavorSlots": 8,
            "allowFavors":  true,
            "winReward":    { "tokens": 1200, "unlocks": [ "oneisland", "hard" ] },

            "reqRankMin":   12,
            "reqRankMax":   27,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "lake5",
            "title":        "Lake Of Opportunity",
            "desc":         "Om is convinced that he owns the lake. Time to reclaim it.",
            "difficulty":   4.5,
            "playCost":     500,
            "dropCost":     200,

            "map":          "lake",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown1", "gem3" ],
            "aiFavorSlots": 8,
            "allowFavors":  true,
            "winReward":    { "tokens": 1200, "unlocks": [ "lake", "hard" ] },

            "reqRankMin":   14,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "dense5",
            "title":        "A Fine Mess",
            "desc":         "Lots of regions. Lots of advance deployments. This one's going to be a real doozy.",
            "difficulty":   4.5,
            "playCost":     500,
            "dropCost":     200,

            "map":          "dense",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown1", "gem3" ],
            "aiFavorSlots": 8,
            "allowFavors":  true,
            "winReward":    { "tokens": 1200, "unlocks": [ "dense", "hard" ] },

            "reqRankMin":   14,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "kinghill6",
            "title":        "King Over All",
            "desc":         "There's nothing zen about the resistance you'll encounter in the challenge. Expect an uphill battle from the get-go.",
            "difficulty":   5,
            "playCost":     600,
            "dropCost":     300,
            "startPlayerIdx":   1,

            "map":          "kinghill",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown1", "deployown1" ],
            "aiFavorSlots": 8,
            "aiStipend":    7,
            "allowFavors":  true,
            "winReward":    { "tokens": 1400, "unlocks": [ "kinghill", "hard" ] },

            "reqRankMin":   16,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "oneisland6",
            "title":        "An Island Of Trouble",
            "desc":         "Om's not backing down. This time, he's putting his new sponsor to work on the island",
            "difficulty":   5,
            "playCost":     600,
            "dropCost":     300,
            "startPlayerIdx":   1,

            "map":          "oneisland",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown1", "deployown1" ],
            "aiFavorSlots": 8,
            "aiStipend":    7,
            "allowFavors":  true,
            "winReward":    { "tokens": 1400, "unlocks": [ "oneisland", "hard" ] },

            "reqRankMin":   19,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "lake6",
            "title":        "Lake Of Fire",
            "desc":         "Congratulation, Om thinks you're a major pain! My condolences - he's pulling out all the stops.",
            "difficulty":   5,
            "playCost":     600,
            "dropCost":     300,
            "startPlayerIdx":   1,

            "map":          "lake",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown1", "undeployopp1" ],
            "aiFavorSlots": 8,
            "aiStipend":    7,
            "allowFavors":  true,
            "winReward":    { "tokens": 1400, "unlocks": [ "lake", "hard" ] },

            "reqRankMin":   22,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        },
        {
            "id":           "dense6",
            "title":        "The Definitive Dust-off",
            "desc":         "Om's going for broke on the dense map. You should too!",
            "difficulty":   5,
            "playCost":     600,
            "dropCost":     300,
            "startPlayerIdx":   1,

            "map":          "dense",
            "ai":           "__ai_om",
            "aiFavors":     [ "deployown2", "deployown2", "undeployopp1" ],
            "aiFavorSlots": 8,
            "aiStipend":    7,
            "allowFavors":  true,
            "winReward":    { "tokens": 1400, "unlocks": [ "dense", "hard" ] },

            "reqRankMin":   25,
            "reqRankMax":   Number.POSITIVE_INFINITY,

            "configCustom": function( gameLogic ) {
            }
        }
    ]
};

campaign;